aboutsummaryrefslogtreecommitdiffstats
path: root/systems
diff options
context:
space:
mode:
Diffstat (limited to 'systems')
-rwxr-xr-xsystems/build_base_machine.sh17
1 files changed, 11 insertions, 6 deletions
diff --git a/systems/build_base_machine.sh b/systems/build_base_machine.sh
index a50baf2d..dab2e761 100755
--- a/systems/build_base_machine.sh
+++ b/systems/build_base_machine.sh
@@ -3,7 +3,7 @@
# Top level scripts to build basic setup for the host
#
-# Copyright 2015-2016 OPNFV, Intel Corporation.
+# Copyright 2015-2017 OPNFV, Intel Corporation.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -23,6 +23,7 @@
# Abdul Halim, Intel Corporation.
# Martin Klozik, Intel Corporation.
# Maryam Tahhan, Intel Corporation.
+# Taras Chornyi, Intel Corporation.
ROOT_UID=0
SUDO=""
@@ -60,16 +61,20 @@ if [ -d "$distro_dir" ] && [ -e "$distro_dir/build_base_machine.sh" ]; then
else
die "$distro_dir is not supported"
fi
-
-if [ ! -d /lib/modules/`uname -r`/build ] ; then
- die "Kernel devel is not available for active kernel. It can be caused by recent kernel update. Please reboot and run $0 again."
+if [ -z ${DOCKER+x} ]; then
+ if [ ! -d /lib/modules/`uname -r`/build ] ; then
+ die "Kernel devel is not available for active kernel. It can be caused by recent kernel update. Please reboot and run $0 again."
+ fi
fi
-
# download and compile DPDK and Collectd
if [ -f ../src/Makefile ] ; then
cd ../src
make clobber || die "Make clobber failed"
- make install || die "Make install failed"
+if [ -z ${DOCKER+x} ]; then
+ make DOCKER=y install || die "Make install failed";
+else
+ make install || die "Make install failed";
+fi
cd -
else
die "Make failed; No Makefile"